Subject: bug#33847: 27.0.50; emacsclient does not find server socket

From: Paul Eggert <[email-masked]>
Date: Sat, 22 Aug 2020 10:55:16 -0700

On 8/22/20 12:59 AM, Eli Zaretskii wrote:

> This patch will almost certainly break w32

How so? The emacsclient.c changes are almost all inside "#ifdef 
SOCKETS_IN_FILE_SYSTEM", and that's defined only if WINDOWSNT is not defined. 
Outside that #ifdef, only "#include <acl.h>" seems relevant and src/fileio.c 
already does that.